/*
** definizione e test delle funzioni per l'acquisizione e la restituzione
** del contenuto di un vettore di interi
*/
#include <stdio.h>

/* definizione della costante simbolica per la dimensione del vettore */
#define DIM 10
 
/*
** funzione per l'acquisizione del contenuto di un vettore di interi
*/
void acqVettInt (int *vett, int dim)
 {
 /* variabile per la scansione del vettore */
 int cursore;
 
 /* scandisce il vettore acquisendone gli elementi */
 for (cursore=0; cursore <= dim-1; cursore++)
    {
    printf("\nvett[%d]? ", cursore);
    scanf("%d", &vett[cursore]);
    }
 }
 
/*
** funzione per la restituzionee del contenuto di un vettore di interi
*/
void resVettInt (int *vett, int dim)
 {
 /* variabile per la scansione del vettore */
 int cursore;

 /* scandisce il vettore visualizzandone gli elementi */ 
 for (cursore=0; cursore <= dim-1; cursore++)
	printf("\nvett[%d]: %d", cursore, vett[cursore]);
 }
 
/*
** test delle funzioni per l'acquisizione e la restituzione
** del contenuto di un vettore di interi
** 
*/
int main()
	{
	/* definizione del vettore */
	int pippo[DIM];
	
	/* acquisizione del contenuto del vettore */
	acqVettInt(pippo, DIM);
	resVettInt(pippo, DIM);
 
	return(1);
	}

